SphinxClient::setConnectTimeout
SphinxClient::setFilter
SphinxClient
PHP Manual

# SphinxClient::setFieldWeights

(No version information available, might be only in CVS)

SphinxClient::setFieldWeights — Set field weights

### Description

public bool SphinxClient::setFieldWeights ( array `$weights` )

Binds per-field weights by name.

Match ranking can be affected by per-field weights. See » Sphinx documentation for an explanation on how phrase proximity ranking is affected. This call lets you specify non-default weights for full-text fields.

The weights must be positive 32-bit integers, so be careful not to hit 32-bit integer maximum. The final weight is a 32-bit integer too. Default weight value is 1. Unknown field names are silently ignored.

### Parameters

`weights`

  Associative array of field names and field weights.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- SphinxClient::setIndexWeights

SphinxClient::setConnectTimeout
SphinxClient::setFilter
SphinxClient
PHP Manual